# Development notes

- When updating the translations or localizations in the app, please take a look at the [Translation](./translation.md)
  page as it has important notes to work.
  If you also add a feature that adds new localizations, then you need it
  to the instructions of it in order for the translations to take effect
- We use the same package version and `CHANGELOG.md` for all the packages, for
  more [details](https://github.com/singerdmx/flutter-quill/pull/1878), the process is automated. We have a script that
  will do the following:
    1. Generate the `CHANGELOG.md` files by `CHANGELOG_JSON.json` (source of data) and then paste them into all the
       packages we have (overwrite), you don't need to
       manually change/update any of the mentioned files above, once a new GitHub release published, the CI will take
       the release notes from the release, pass the info to the
       script, the release notes can be auto-generated by GitHub using a button, a descriptive PRs title would help but
       you don't have to since we can change it at anytime.
    2. The script require the new version as an argument, you don't need to run the script manually, when a maintainer
       create a new tag and publish a new GitHub release, the publish workflow will extract the new version from the tag
       name, run the script (pass the extracted version as an argument), commit the changes and push them into the
       repository, the script will update the `version` property for all the packages so the `flutter pub publish` will
       use the new version for each package correctly.

  the script will be used the CI and no need to run it manually